#ifndef SEND_H
#define SEND_H

/*=============================================================================
 * Proto types
 */

extern void sendto_one(aClient * to, char *pattern,...);
extern void sendbufto_one(aClient * to);
extern void sendto_ops(const char *pattern,...);
extern void sendto_channel_butserv(aChannel * chptr, aClient * from, char *pattern,...);
extern void sendto_serv_butone(aClient * one, char *pattern,...);
extern void sendto_match_servs(aChannel * chptr, aClient * from, char *format,...);
extern void sendto_lowprot_butone(aClient * cptr, int p, char *pattern,...);
extern void sendto_highprot_butone(aClient * cptr, int p, char *pattern,...);
extern void sendto_prefix_one(Reg1 aClient * to, Reg2 aClient * from, char *pattern,...);
extern void flush_connections(int fd);
extern void send_queued(aClient * to);
extern void vsendto_one(aClient * to, char *pattern, va_list vl);
extern void sendto_channel_butone(aClient * one, aClient * from, aChannel * chptr, char *pattern,...);
extern void sendto_lchanops_butone(aClient * one, aClient * from, aChannel * chptr, char *pattern,...);
extern void sendto_chanopsserv_butone(aClient * one, aClient * from, aChannel * chptr, char *pattern,...);
extern void sendto_common_channels(aClient * user, char *pattern,...);
extern void sendto_match_butone(aClient * one, aClient * from, char *mask, int what, char *pattern,...);
extern void sendto_lops_butone(aClient * one, char *pattern,...);
extern void vsendto_ops(const char *pattern, va_list vl);
extern void sendto_ops_butone(aClient * one, aClient * from, char *pattern,...);
extern void sendto_realops(const char *pattern,...);
extern void vsendto_op_mask(register snomask_t mask, const char *pattern, va_list vl);
extern void sendto_op_mask(snomask_t mask, const char *pattern, ...);

extern char sendbuf[2048];
extern char *last_dead_comment;

#endif /* SEND_H */
